aggregator.h File Reference
`#include "internal/_warning_suppress_enable_notice.h"`
`#include "atomic.h"`
`#include "tbb_profiling.h"`
`#include "internal/_warning_suppress_disable_notice.h"`
Include dependency graph for aggregator.h:

Go to the source code of this file.

## Classes

class | tbb::interface6::aggregator_operation
class | tbb::interface6::internal::basic_operation_base
class | tbb::interface6::internal::basic_operation< Body >
class | tbb::interface6::internal::basic_handler
class | tbb::interface6::aggregator_ext< handler_type >
| Aggregator base class and expert interface. More...
class | tbb::interface6::aggregator
| Basic aggregator interface. More...

## Namespaces

| tbb
| The graph class.
| tbb::interface6
| tbb::interface6::internal

## Macros

#define | __TBB_aggregator_H_include_area

## Macro Definition Documentation

## __TBB_aggregator_H_include_area

#define __TBB_aggregator_H_include_area

Definition at line 20 of file aggregator.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.